Next Commerce
API ReferenceCampaigns

Campaigns List

List every campaign belonging to the store.

GET
/campaigns/

Authorization

oauth2 campaigns:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:read

Query Parameters

created_date_from?string

Created on or after this date (YYYY-MM-DD, UTC).

Formatdate
created_date_to?string

Created on or before this date (YYYY-MM-DD, UTC).

Formatdate
currency?string

Default currency, as an ISO 4217 code (e.g. USD).

cursor?string

The pagination cursor value.

language?string

Campaign language, as an ISO 639-1 code (e.g. en).

name?string

Campaign name contains this text, case-insensitive.

page_size?integer

Number of results to return per page.

updated_date_from?string

Last updated on or after this date (YYYY-MM-DD, UTC).

Formatdate
updated_date_to?string

Last updated on or before this date (YYYY-MM-DD, UTC).

Formatdate

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/campaigns/" \  -H "X-29next-API-Version: 2024-04-01"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "created_at": "2019-08-24T14:15:22Z",      "currency": "str",      "id": 0,      "language": "str",      "name": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}